### A free/open-source library for quantitative finance

Public Member Functions
CapHelper Class Reference

calibration helper for ATM cap More...

`#include <ql/models/shortrate/calibrationhelpers/caphelper.hpp>`

Inheritance diagram for CapHelper:
[legend]

List of all members.

## Public Member Functions

| CapHelper (const Period &length, const Handle< Quote > &volatility, const boost::shared_ptr< IborIndex > &index, Frequency fixedLegFrequency, const DayCounter &fixedLegDayCounter, bool includeFirstSwaplet, const Handle< YieldTermStructure > &termStructure, CalibrationHelper::CalibrationErrorType errorType=CalibrationHelper::RelativePriceError)
virtual void | addTimesTo (std::list< Time > &times) const
virtual Real | modelValue () const
| returns the price of the instrument according to the model
virtual Real | blackPrice (Volatility volatility) const
| Black price given a volatility.

## Detailed Description

calibration helper for ATM cap

Bug:
  This helper does not register with the passed IBOR index and with the evaluation date. Furthermore, the ATM strike rate is not recalculated when any of its observables change.